
%define debug_package %{nil}
Name:    tezos-accuser-PtParisB
Version: 20.1
Release: 1
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PtParisB-20.1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v20.1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PtParisB
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PtParisB %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PtParisB %{buildroot}/%{_bindir}/tezos-accuser-PtParisB



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptparisb.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-ptparisb@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-ptparisb.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-ptparisb

install -m 0755 tezos-accuser-ptparisb-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PtParisB
%{_bindir}/tezos-accuser-PtParisB

%{_bindir}/tezos-accuser-ptparisb-start

%{_unitdir}/tezos-accuser-ptparisb.service
%{_unitdir}/tezos-accuser-ptparisb@.service

%{_sysconfdir}/default/tezos-accuser-ptparisb



%post
%systemd_post tezos-accuser-ptparisb.service
%systemd_post tezos-accuser-ptparisb@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-ptparisb.service
%systemd_preun tezos-accuser-ptparisb@.service


%postun
%systemd_postun_with_restart tezos-accuser-ptparisb.service
%systemd_postun_with_restart tezos-accuser-ptparisb@.service



